<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="en" />
    <title>mdevd: how to upgrade</title>
    <meta name="Description" content="mdevd: how to upgrade" />
    <meta name="Keywords" content="mdevd installation upgrade" />
    <!-- <link rel="stylesheet" type="text/css" href="//skarnet.org/default.css" /> -->
  </head>
<body>

<p>
<a href="index.html">mdevd</a><br />
<a href="//skarnet.org/software/">Software</a><br />
<a href="//skarnet.org/">skarnet.org</a>
</p>

<h1> What has changed in mdevd </h1>

<h2> in 0.1.6.4 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.14.2.0. </li>
 <li> <a href="//skarnet.org/software/execline/">execline</a>
optional dependency bumped to 2.9.6.0. </li>
</ul>

<h2> in 0.1.6.3 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.14.0.0. </li>
 <li> <a href="//skarnet.org/software/nsss/">nsss</a>
optional dependency bumped to 0.2.0.4. </li>
 <li> <a href="//skarnet.org/software/execline/">execline</a>
optional dependency bumped to 2.9.4.0. </li>
</ul>

<h2> in 0.1.6.2 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.13.1.0. </li>
 <li> <a href="//skarnet.org/software/nsss/">nsss</a>
optional dependency bumped to 0.2.0.3. </li>
 <li> <a href="//skarnet.org/software/execline/">execline</a>
optional dependency bumped to 2.9.2.0. </li>
</ul>

<h2> in 0.1.6.1 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.13.0.0. </li>
 <li> <a href="//skarnet.org/software/nsss/">nsss</a>
optional dependency bumped to 0.2.0.2. </li>
 <li> <a href="//skarnet.org/software/execline/">execline</a>
optional dependency bumped to 2.9.1.0. </li>
</ul>

<h2> in 0.1.6.0 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.12.0.1. </li>
 <li> <a href="//skarnet.org/software/execline/">execline</a>
optional dependency bumped to 2.9.0.1. </li>
</ul>

<h2> in 0.1.5.2 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.12.0.0. </li>
 <li> <a href="//skarnet.org/software/execline/">execline</a>
optional dependency bumped to 2.9.0.0. </li>
</ul>

<h2> in 0.1.5.1 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.11.1.0. </li>
</ul>

<h2> in 0.1.5.0 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.11.0.0. </li>
 <li> New <tt>-O nlgroups</tt> option to mdevd, rebroadcasting
uevents to the netlink after handling them. </li>
 <li> The <tt>*</tt> and <tt>&amp;</tt> action directives are now
triggered by all action types. </li>
</ul>

<h2> in 0.1.4.0 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.10.0.3. </li>
 <li> New <tt>+</tt>, <tt>-</tt> and <tt>&amp;</tt> command
directives supported in <tt>mdev.conf</tt>. These directives
spawn a command interpreted by the
<a href="https://skarnet.org/software/execline/execlineb.html">execlineb</a>
program launcher instead of <tt>/bin/sh</tt>. </li>
</ul>

<h2> in 0.1.3.0 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.10.0.0. </li>
 <li> A <tt>-C</tt> option has been added to
<a href="mdevd.html">mdevd</a>. This triggers a coldplug when
mdevd is ready, for faithful <tt>mdev -d</tt> emulation. </li>
</ul>

<h2> in 0.1.2.0 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.9.3.0. </li>
 <li> A <tt>-o <em>outputfd</em></tt> option has been added to
<a href="mdevd.html">mdevd</a>. </li>
</ul>

<h2> in 0.1.1.2 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.9.2.0. </li>
</ul>

<h2> in 0.1.1.1 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.9.1.0. </li>
</ul>

<h2> in 0.1.1.0 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.9.0.0. </li>
</ul>

<h2> in 0.1.0.3 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.8.0.0. </li>
 <li> Everything now builds as PIC by default no matter
the toolchain's settings. Use the <tt>--disable-all-pic</tt> configure
option to build executables and static libraries as non-PIC. </li>
</ul>

<h2> in 0.1.0.2 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.7.0.0. </li>
 <li> Optional <a href="//skarnet.org/software/nsss/">nsss</a> support added. </li>
</ul>

<h2> in 0.1.0.1 </h2>

<ul>
 <li> No functional changes. </li>
</ul>

<h2> in 0.1.0.0 </h2>

<ul>
 <li> <a href="//skarnet.org/software/skalibs/">skalibs</a>
dependency bumped to 2.6.3.1. </li>
 <li> The <tt>mdevd-netlink</tt> program doesn't exist anymore. </li>
 <li> <a href="mdevd.html">mdevd</a> now listens to the netlink itself. </li>
 <li> <a href="mdevd-coldplug.html">mdevd-coldplug</a> does not print events
to stdout anymore. Instead, it makes the kernel trigger events. </li>
</ul>

<h2> in 0.0.1.0 </h2>

<ul>
 <li> Initial release. </li>
</ul>

</body>
</html>
